package com.zhongdao.jlr.business.service;

import com.util.Vo;
import com.zhongdao.jlr.business.vo.JLRMenu;
import com.zhongdao.jlr.business.vo.JLRRMenu;
import com.zhongdao.jlr.pojo.BaseMenu;
import com.zhongdao.jlr.pojo.JLRRole;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/***
 * 接口
 */

public interface RoleService {

    /***
     * 获取角色信息
     * @param request
     * @param name
     * @return
     */
    Vo getRoleInfo(HttpServletRequest request,String name);

    /***
     * 获取树的信息
     * @return
     */
    List<JLRMenu> getTreeInfo();

    /***
     * 添加角色信息
     */
    boolean updateRoleInfo(JLRRole jlrRole ,int[] ids);

    /***
     * 根据编号获取角色信息
     * @param id
     */
    JLRRole getRole(String id);

    /***
     * 根据id获取菜单信息
     * @param id
     * @return
     */
    List<BaseMenu> getMenu(String id);

    /***
     * 删除角色信息
     * @param id
     * @param name
     */
    boolean deleteRole(String id,String name);
}
